OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Enumerations
fios_widget.h File Reference

Types related to the fios widgets. More...

Go to the source code of this file.

## Enumerations
enum | SaveLoadWidgets { WID_SL_CAPTION, WID_SL_SORT_BYNAME, WID_SL_SORT_BYDATE, WID_SL_BACKGROUND, WID_SL_FILE_BACKGROUND, WID_SL_HOME_BUTTON, WID_SL_DRIVES_DIRECTORIES_LIST, WID_SL_SCROLLBAR, WID_SL_CONTENT_DOWNLOAD, WID_SL_SAVE_OSK_TITLE, WID_SL_DELETE_SELECTION, WID_SL_SAVE_GAME, WID_SL_CONTENT_DOWNLOAD_SEL, WID_SL_DETAILS, WID_SL_NEWGRF_INFO, WID_SL_LOAD_BUTTON, WID_SL_MISSING_NEWGRFS }
| Widgets of the SaveLoadWindow class. More...

## Detailed Description

Types related to the fios widgets.

Definition in file fios_widget.h.

## Enumeration Type Documentation

enum SaveLoadWidgets

Widgets of the SaveLoadWindow class.

Enumerator:

  WID_SL_CAPTION | Caption of the window.
  WID_SL_SORT_BYNAME | Sort by name button.
  WID_SL_SORT_BYDATE | Sort by date button.
  WID_SL_BACKGROUND | Background of window.
  WID_SL_FILE_BACKGROUND | Background of file selection.
  WID_SL_HOME_BUTTON | Home button.
  WID_SL_DRIVES_DIRECTORIES_LIST | Drives list.
  WID_SL_SCROLLBAR | Scrollbar of the file list.
  WID_SL_CONTENT_DOWNLOAD | Content download button, only available for play scenario/heightmap.
  WID_SL_SAVE_OSK_TITLE | Title textbox, only available for save operations.
  WID_SL_DELETE_SELECTION | Delete button, only available for save operations.
  WID_SL_SAVE_GAME | Save button, only available for save operations.
  WID_SL_CONTENT_DOWNLOAD_SEL | Selection 'stack' to 'hide' the content download.
  WID_SL_DETAILS | Panel with game details.
  WID_SL_NEWGRF_INFO | Button to open NewGgrf configuration.
  WID_SL_LOAD_BUTTON | Button to load game/scenario.
  WID_SL_MISSING_NEWGRFS | Button to find missing NewGRFs online.

Definition at line 16 of file fios_widget.h.